<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\admin\controller\bbfxshop\yies_mode;

use app\admin\controller\bbfxshop\Base;
use think\Db;


class Config extends Base
{

    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\YiesMode;
    }
    
    public function set(){
        $params = $this->param();
        
        $config = Db::name("bbfx_fenxiao")->where(["uniacid"=>UNIACID])->find();
        
        
        $transfer_num = 2;
        
        $data = array(
            "uniacid"=>UNIACID,
            "yies_mode"=>$params['yies_mode'],
            "yies_mode_pingji"=>$params['yies_mode_pingji'],
            "transfer_num"=>$transfer_num,
        );
        
    	if(!empty($config)){
    	    
    	    if($data['yies_mode'] == 1){
                Db::name("bbfx_double_track")->where(["uniacid"=>UNIACID])->update(['status'=>0]);
                Db::name("bbfx_pyramid")->where(["uniacid"=>UNIACID])->update(['status'=>0]);
                $data['transfer_mode'] = 0;
            }
    	    
          	$res = Db::name("bbfx_fenxiao")->where(["id"=>$config['id']])->update($data);;
        }
      	else{
        	$res = Db::name("bbfx_fenxiao")->insert($data);
        }
        
        
        if($res){
            \app\admin\model\AdminLog::record("","",$data,"bbfx_fenxiao");
            __success("编辑成功",$data);
        }
      	else{
      	    __success("操作成功",$data);
      	}
    }
}